Foreman - Feature #22756

Allow provisioning based on "mac' parameter
03/04/2018 08:10 PM - Michael Hofer

Status: Closed
Priority: Normal
Assignee:
Category:
Target version: 1.18.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/5290
Description

One of our bigger Foreman environment is used to deploy Ubuntu clients. These client can only be identified based on their MAC
address because we have no control over the DHCP client subnet.
Currently Foreman only supports MAC-based provisioning for CentOS/RHEL by parsing the appropriate Kickstart HTTP Header.

The clients are deployed using iPXE which already fetches its chain script via Foreman. Meaning we have no other option (e.g.
token) than the MAC address to identify the clients.

As soon as the iPXE chain script has been fetched from Foreman we can again make use of the build tokens (e.g. to access the
rendered preseed template).

There was already a similar PR (https:/github.com/theforeman/foreman/pull/1106) but it was never merged. Currently we run
Foreman 1.9 with a custom patch which allows us the provisioning based on MAC addresses.

Due to OS restrictions we currently cannot update Foreman but this will change in the next few weeks when we will migrate to the
latest and greatest version. Therefore we'd really like to have this feature included

into the next version to prevent any glue code. :)

Related issues:
Has duplicate Foreman - Feature #8239: Allow MAC address parameter for /unatt... Duplicate

Associated revisions

Revision 52661007 - 03/12/2018 01:30 PM - Michael Hofer
Fixes #22756 - Allow provisioning based on MAC address

History

#1 - 03/04/2018 08:20 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/5290 added

#2 - 03/12/2018 01:31 PM - Lukas Zapletal

- translation missing: en.field_release set to 330

#3 - 03/12/2018 05:32 PM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 5a66100702065167559f1¢3293cd93e4b5a80c2d.

#4 - 08/24/2018 11:42 AM - Timo Goebel
- Has duplicate Feature #8239: Allow MAC address parameter for /unattended, in addition to RHN headers added
